/*
 * Copyright (C), 2002-2015, 江苏三六五网络股份有限公司
 * FileName: NewsInfo.java
 * Author:   duhui
 * Date:     2015年1月23日 下午4:27:46
 * Description:     
 * History: 
 * <author>      <time>      <version>    <desc>
 * 修改人姓名                          修改时间                        版本号                                 描述
 */
package com.house365.tags.beans;

import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * 资讯实体
 *
 * @author duhui
 * @version [v1.0.0, 2015年1月23日]
 * @see [相关类/方法]（可选）
 * @since [产品/模块版本] （可选）
 */
public class NewsInfo implements Serializable {

    /**
     */
    private static final long serialVersionUID = 1L;

    /**
     * 资讯ID
     */
    @JsonProperty("n_id")
    private String newsId;

    /**
     * 资讯标题
     */
    @JsonProperty("n_title")
    private String newsTitle;

    /**
     * 资讯副标题
     */
    @JsonProperty("n_subtitle")
    private String newsSubTitle;

    /**
     * 资讯题图
     */
    @JsonProperty("n_pic")
    private String newsthumb;

    /**
     * 资讯时间
     */
    @JsonProperty("n_addtime")
    private String newsTime;

    /**
     * 资讯描述
     */
    @JsonProperty("n_description")
    private String newsDesc;

    /**
     * 资讯链接
     */
    @JsonProperty("n_source")
    private String newsLink;

    /**
     * 内容
     */
    @JsonProperty("n_content")
    private String newsContent;

    /**
     * web_url
     */
    @JsonProperty("web_url")
    private String webUrl;

    public String getNewsId() {
        return newsId;
    }

    public void setNewsId(String newsId) {
        this.newsId = newsId;
    }

    public String getNewsTitle() {
        return newsTitle;
    }

    public void setNewsTitle(String newsTitle) {
        this.newsTitle = newsTitle;
    }

    public String getNewsthumb() {
        return newsthumb;
    }

    public void setNewsthumb(String newsthumb) {
        this.newsthumb = newsthumb;
    }

    public String getNewsTime() {
        return newsTime;
    }

    public void setNewsTime(String newsTime) {
        this.newsTime = newsTime;
    }

    public String getNewsDesc() {
        return newsDesc;
    }

    public void setNewsDesc(String newsDesc) {
        this.newsDesc = newsDesc;
    }

    public String getNewsLink() {
        return newsLink;
    }

    public void setNewsLink(String newsLink) {
        this.newsLink = newsLink;
    }

    public String getNewsContent() {
        return newsContent;
    }

    public void setNewsContent(String newsContent) {
        this.newsContent = newsContent;
    }

    public String getWebUrl() {
        return webUrl;
    }

    public void setWebUrl(String webUrl) {
        this.webUrl = webUrl;
    }

    public String getNewsSubTitle() {
        return newsSubTitle;
    }

    public void setNewsSubTitle(String newsSubTitle) {
        this.newsSubTitle = newsSubTitle;
    }
}
